--
-- Excavators Tracks Position for FS19
-- This mod shows you current position of tracks against the cab of your excavator.
-- @author:    	kenny456 (kenny456@seznam.cz)
-- @history:	v1.0 - 2017-11-14 - 
-- 				v1.1 - 2019-03-12 - conversion to FS19
-- 								  - added option for resize excavators tracks icon
-- 								  - added option for hide / show F1 help menu for mod
--								  - added option for activate / deactivate mod function for current vehicle or global
-- 								  - added xmlConfig file for global settings
-- 
source(Utils.getFilename("ExcavatorsTracksPosition.lua", g_currentModDirectory))

ExcavatorsTracksPosition_register = {}

function ExcavatorsTracksPosition_register:loadMap()
end

if g_specializationManager:getSpecializationByName("ExcavatorsTracksPosition") == nil then
  if ExcavatorsTracksPosition == nil then 
    print("ERROR: unable to add specialization 'ExcavatorsTracksPosition'")
  else 
    for i, typeDef in pairs(g_vehicleTypeManager.vehicleTypes) do
		if typeDef ~= nil and i ~= "locomotive" and i ~= "trainTrailer" and i ~= "trainTimberTrailer" then 
			local isDrivable = false
			local isEnterable = false 
			for name, spec in pairs(typeDef.specializationsByName) do
				if name == "drivable"  then 
					isDrivable = true 
				elseif name == "enterable" then 
					isEnterable = true 
				end 
			end 
			if isDrivable and isEnterable then
			  typeDef.specializationsByName["ExcavatorsTracksPosition"] = ExcavatorsTracksPosition
			  table.insert(typeDef.specializationNames, "ExcavatorsTracksPosition")
			  table.insert(typeDef.specializations, ExcavatorsTracksPosition)  
			end 
		end 
    end   
  end 
end 

print("----ExcavatorsTracksPosition registered.")

addModEventListener(ExcavatorsTracksPosition_register);